Page MenuHomePhabricator

Uncaught exception in ByPropertyListUnserializer
Closed, ResolvedPublic

Description

There were uncaught exceptions flooding in production yesterday.

Exception from line 77 of /usr/local/apache/common-local/php-1.22wmf22/extensions/Wikibase/lib/includes/serializers/ByPropertyListUnserializer.php: Element with id 'P143' found in list with id 'p143'

This is due to a bot using SetReference and lowercase property ids.


Version: master
Severity: normal

Details

Reference
bz56010

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:24 AM
bzimport set Reference to bz56010.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Oct 22 2013, 7:08 PM

Change 91283 had a related patch set uploaded by Aude:
Update Wikibase

https://gerrit.wikimedia.org/r/91283

Change 91283 merged by Reedy:
Update Wikibase

https://gerrit.wikimedia.org/r/91283

aude added a comment.Oct 23 2013, 2:32 PM

https://gerrit.wikimedia.org/r/#/c/91086/ for master is not merged yet. It has some comments

Change 92321 had a related patch set uploaded by Aude:
(bug 56010) Parse lowercase ids in ByPropertyListUnserializer

https://gerrit.wikimedia.org/r/92321

Change 92321 merged by jenkins-bot:
(bug 56010) Parse lowercase ids in ByPropertyListUnserializer

https://gerrit.wikimedia.org/r/92321

aude added a comment.Oct 31 2013, 12:06 PM

fixed in master now